Kerbal Space Program - Bug #5633

Internal and external parts can be attached incorrectly (clipped) to service bay, causing rocket/Ship
to fall apart

10/23/2015 08:37 PM - rad1c

Status: Needs Clarification Start date: 10/23/2015
Severity: Normal % Done: 0%
Assignee:

Category: Parts

Target version:

Version: 1.04 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

The rocket attached falls apart at the large reaction wheel / storage container, right under the crew pod.
Note: this happens randomly any time when and only when one switches view to the ship (the system "shakes" the ship for some
reason and it either falls apart or not). If it stays together, the rocket flies, lands, etc flawlessly as intended.

Reproduction:

1. Load the rocket

2. Move to launch pad

If does not fall apart, either:

a) repeat the steps above

b) fly the rocket, switch away from it then back and repeat

In my experience, it falls apart every 2nd/3rd back and forth switching to the rocket.
bug demo: https://youtu.be/pV6blgAML1|

reason demo: https://youtu.be/yGCTML-4R7Y
see #5633#note-5

History

#1 - 10/23/2015 08:42 PM - rad1c

Additional notes:
- My assumption as the reason of falling apart is either the items | stuffed into the storage box (maybe the way they were attached by the app?) or the
reaction wheel is buggy (or the two combined?)

- If one opens/closes the storage doors the "shaking" effect can be seen (yet does not make the rocket fall apart / break in two, if it did not happen on
switching to it)

#2 - 10/23/2015 11:14 PM - Squelch

- Status changed from New to Need More Info

Would you mind attaching the log for a game session where this happens? Further information on what else we would need, and how to find it can be
found in our useful guide

#3 - 10/24/2015 04:23 AM - 6ooflames

Did you clip any parts inside each other? On high part count the physics engine likes to go wild.

#4 - 10/24/2015 10:54 AM - rad1c
- File KSP.log added

Squelch wrote:

Would you mind attaching the log for a game session where this happens? Further information on what else we would need, and how to find it
can be found in our useful guide
The guide you linked did not help but | found a .log file in KSP install folder, attached it. | hope you meant this one as no other .log files exist in install
or appdata folders.

| also recorded a demo video showing the defect for a better understand: https://youtu.be/pVeblgAMt1|

See video details section about events and time ranges, as well as annotations will pop up - but | recommend watching the full length (3:28)

| also found an issue while | was looking into my rocket design. Adding this here as it probably has something to do with the bug if not the main
reason: https://youtu.be/yGCTML-4R7Y
Removing the science lab block completely from the storage box makes the rocket jiggling(???), however it did not fall apart out of 7 tries.

| hope this helps. Let me know if you need any additional info and I'll do my best to present it

(EDIT: | forgot to mention! | play the game via Steam /also purchased it via Steam\ and I'm not using any mods, also never did. | use and always used

the game "as is", "out of the box" with any 3rd party code involved on any level)

#5 - 10/24/2015 06:01 PM - Kasuha

- File rocket collides with itself.craft added
- File screenshot185.png added

- File screenshot186.png added

- File screenshot189.png added

- File screenshot190.png added

| tried it out.

The strong camera wobble after placing the rocket on launchpad is there, but it does not seem to be shaking the rocket. More likely it's result of how
the game adjusts the camera towards center of mass of the rocket, potentially while it still adds parts to the equation.

However | found one peculiar thing about the ship. The Science Jr inside the service bay is not attached to one of the service bay's internal nodes. It
is attached to the heat shield below the service bay. As such it might be causing collision of the rocket with itself resulting in joint failure. | noticed
such issues occurring in certain cases after deploying the rocket on launchpad.
Attaching an example and screenshots of a different rocket that collides with itself, eventually leading to joint failures.
After further attempts there certainly seems to be similar problem between service bay and science jr.
#6 - 10/24/2015 06:47 PM - Squelch
radic wrote:
The guide you linked did not help but | found a .log file in KSP install folder, attached it. | hope you meant this one as no other .log files exist in

install or appdata folders.

Take a look under So whats important when looking at a bug? > Crash/Output logs. In your case it would be

d:\games\steam\steamapps\common\Kerbal Space Program\KSP_Data\output_log.txt

| also recorded a demo video showing the defect for a better understand: https:/youtu.be/pV6blgAMt11
See video details section about events and time ranges, as well as annotations will pop up - but | recommend watching the full length (3:28)

Thanks for the video, it is very helpful.

Kasuha wrote:
The strong camera wobble after placing the rocket on launchpad is there, but it does not seem to be shaking the rocket. More likely it's result of
how the game adjusts the camera towards center of mass of the rocket, potentially while it still adds parts to the equation.

That sounds plausible.
However | found one peculiar thing about the ship. The Science Jr inside the service bay is not attached to one of the service bay's internal
nodes. It is attached to the heat shield below the service bay. As such it might be causing collision of the rocket with itself resulting in joint failure.
| noticed such issues occurring in certain cases after deploying the rocket on launchpad.

Attaching an example and screenshots of a different rocket that collides with itself, eventually leading to joint failures.

After further attempts there certainly seems to be similar problem between service bay and science jr.

Good reasoning. In this particular case, it may be that the science junior is attached to the third "Direct" node of the heat shield instead of the bottom
of the service bay, or vice versa. Perhaps rad1c could also attach the craft file for examination?

Edit to add:

This sequence from the log seems to support this theory.

[LOG 12:03:50.312] [00:00:03]: Structural failure on linkage between Heat Shield (2.5m) and Service Bay (2.5m)

[LOG 12:03:50.393] [00:00:03]: Structural failure on linkage between SC-9001 Science Jr. and Heat Shield (2.5m
) .

[LOG 12:03:50.403] [00:00:03]: Structural failure on linkage between Rockomax Brand Decoupler and Heat Shield
(2.5m) .

The second entry shows that the science junior was attached to the heat shield and not the service bay, so therefore was clipped through the service
bay.

A remedial workaround would be to make sure that the science bay is properly attached to the service bay, and then attach the heat shield to the
service bay. There have been some other issues with the service bay collision mesh, and | will relate this to the existing issue for it, and forward it to
the developers.

#7 - 10/24/2015 07:03 PM - Squelch

- Subject changed from Rocket/Ship falls apart randomly for no reason to Internal and external parts can be attached incorrectly (clipped) causing
rocket/Ship to fall apart randomly for no reason

- Status changed from Need More Info to Confirmed
- Severity changed from Critical to Normal

- % Done changed from 0 to 10
Duplicate posting error

#8 - 10/24/2015 07:04 PM - Squelch

- Subject changed from Internal and external parts can be attached incorrectly (clipped) causing rocket/Ship to fall apart randomly for no reason to
Internal and external parts can be attached incorrectly (clipped) to service bay, causing rocket/Ship to fall apart

#10 - 10/24/2015 10:29 PM - radic

Everything | have | attached. The log as well as the ship, also linked the recorded video. One is supporting your theory, the other is the 'effect’ in
action.
Thanks for cleaning up the defect and tuning it. | hope it will be fixed one day (even though I'm not assuming it soon looking at the large queue :)

Have a great day now ;)

#11 - 10/24/2015 10:54 PM - Squelch

Thanks for bringing this to our attention. Apologies for the oversight. | had a little mishap while replying causing a double post, and the vessel link was
not showing.

#12 - 10/25/2015 01:28 AM - rad1c

No worries! One last thing, if | may. Could you please extend the bug itself (yellow part) with the two youtube links | added? I'm not allowed doing this
and in the comment block one's eye may not catch them if returns days/weeks from now to see details & fix the defect.

The links again:

bug demo: https://youtu.be/pV6EblgAML1|

reason demo: https:/youtu.be/yGCTML-4R7Y

Thanks!

#13 - 10/25/2015 12:05 PM - Squelch
- Description updated

Done.

#14 - 10/25/2015 03:56 PM - Porkjet
- Project changed from Kerbal Space Program to KSP Develop
- Category deleted (Parts)

#15 - 10/25/2015 04:05 PM - Squelch
- Project changed from KSP Develop to Kerbal Space Program
- Category set to Parts

#17 - 07/17/2016 09:39 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

Files

R19 Minmus v1 BUG!.craft 310 KB 10/23/2015 radic
KSP.log 199 KB 10/24/2015 radic
rocket collides with itself.craft 21.1 KB 10/24/2015 Kasuha
screenshot186.png 1.77 MB 10/24/2015 Kasuha
screenshot185.png 2 MB 10/24/2015 Kasuha
screenshot189.png 1.68 MB 10/24/2015 Kasuha
screenshot190.png 1.21 MB 10/24/2015 Kasuha
